%global pypi_name pyerfa

Name:           python-pyerfa
Version:        2.0.1.4
Release:        %mkrel 3
Summary:        Python wrapper for the ERFA library
License:        BSD
URL:            https://github.com/liberfa/pyerfa
Source0:        %{pypi_source}
Group:          Development/Python

# Python BuildRequires
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3-numpy-devel
BuildRequires:  python3-pytest

# Non-Python BuildRequires
BuildRequires:  erfa-devel >= 2.0.0
BuildRequires:  gcc

%description
PyERFA is the Python wrapper for the ERFA library (Essential Routines for
Fundamental Astronomy), a C library containing key algorithms for astronomy,
which is based on the SOFA library published by the International Astronomical
Union (IAU). All C routines are wrapped as Numpy universal functions, so that
they can be called with scalar or array inputs.


%package -n python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name}
PyERFA is the Python wrapper for the ERFA library (Essential Routines for
Fundamental Astronomy), a C library containing key algorithms for astronomy,
which is based on the SOFA library published by the International Astronomical
Union (IAU). All C routines are wrapped as Numpy universal functions, so that
they can be called with scalar or array inputs.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
export PYERFA_USE_SYSTEM_LIBERFA=1
%pyproject_buildrequires -x tests

%build
# Build using system liberfa, not bundled one
export PYERFA_USE_SYSTEM_LIBERFA=1
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files erfa

%check
pushd %{buildroot}%{python3_sitearch}/erfa
%{__python3} -m pytest
rm -rf .pytest_cache
popd

%files -n  python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.rst
%doc AUTHORS.rst CHANGES.rst README.rst
%exclude %{python3_sitearch}/erfa/tests/


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 2.0.1.4-3.mga10
+ Revision: 2239659
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 daviddavid <daviddavid> 2.0.1.4-2.mga10
+ Revision: 2156747
- rebuild for python 3.13

* Tue Oct 29 2024 daviddavid <daviddavid> 2.0.1.4-1.mga10
+ Revision: 2111713
- new version: 2.0.1.4
- rebuild for numpy 2

* Sun Dec 24 2023 wally <wally> 2.0.1.1-1.mga10
+ Revision: 2021114
- new version 2.0.1.1
- use pyproject rpm macros

* Fri Feb 25 2022 mrambo3501 <mrambo3501> 2.0.0.1-1.mga9
+ Revision: 1784394
- version 2.0.0.1
- rebuild for python-3.10

* Sun Jun 20 2021 joequant <joequant> 2.0.0-1.mga9
+ Revision: 1731419
- update to 2.0.0

* Sun Mar 21 2021 joequant <joequant> 1.7.2-1.mga9
+ Revision: 1706672
- update to 1.7.2 / python 3.9

* Fri Dec 18 2020 joequant <joequant> 1.7.1.1-1.mga8
+ Revision: 1660697
- fix deps
- update deps
- imported package python-pyerfa

